//
//  TextLCDController.h
//  TextLCD
//
//  Created by Phidgets on 2015-07-29.
//  Copyright (c) 2015 Phidgets. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "PhidgetInfoBox.h"

@interface TextLCDController : NSObject <NSTextFieldDelegate, NSWindowDelegate>
{
    IBOutlet NSWindow *mainWindow;
    PhidgetLCDHandle ch;
    //PhidgetInfoBox View
    IBOutlet PhidgetInfoBox *phidgetInfoBoxView;
    IBOutlet NSBox *phidgetInfoBox;
    
    //Settings
    IBOutlet NSBox *settingsBox;
    IBOutlet NSTextField *inputText0;
    IBOutlet NSTextField *inputText1;
    IBOutlet NSTextField *inputText2;
    IBOutlet NSTextField *inputText3;
    IBOutlet NSView *inputView;
    IBOutlet NSSlider *contrastSlider;
    NSTextField *minContrastLabel;
    NSTextField *maxContrastLabel;
    NSTextField *contrastLabel;
    IBOutlet NSSlider *backlightSlider;
    NSTextField *minBacklightLabel;
    NSTextField *maxBacklightLabel;
    NSTextField *backlightLabel;
    IBOutlet NSPopUpButton *screenSizeCombo;
    IBOutlet NSButton *initButton;
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;
}
@end
